/***********************************************************************************************************************
 *
 * forceTen - open source geography
 * ================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://forceten.tidalwave.it
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: GeoViewProviderListCellRenderer.java,v 432868f2116d 2009/12/31 23:28:20 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.geo.viewer.impl;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import java.awt.Component;
import javax.swing.DefaultListCellRenderer;
import javax.swing.JList;
import it.tidalwave.geo.viewer.spi.GeoViewProvider;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: GeoViewProviderListCellRenderer.java,v 432868f2116d 2009/12/31 23:28:20 fabrizio $
 *
 **********************************************************************************************************************/
public class GeoViewProviderListCellRenderer extends DefaultListCellRenderer
  {
    @Override
    public Component getListCellRendererComponent (final @Nonnull JList list,
                                                   final @Nonnull Object value,
                                                   final @Nonnegative int index,
                                                   final boolean isSelected,
                                                   final boolean cellHasFocus)
      {
        String label = "???";

        if (value instanceof GeoViewProvider)
          {
            final GeoViewProvider geoViewProvider = (GeoViewProvider)value;

            if (geoViewProvider != null)
              {
                label = geoViewProvider.getName();

                if (!geoViewProvider.isReady())
                  {
                    label = "<html><i>" + label + "</i></html>";
                  }
              }
          }

        return super.getListCellRendererComponent(list, label, index, isSelected, cellHasFocus);
      }
  }