/***********************************************************************************************************************
 *
 * forceTen - open source geography
 * ================================
 *
 * Copyright (C) 2007-2010 by Tidalwave s.a.s.
 * Project home page: http://forceten.tidalwave.it
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: DefaultFeatureRenderer.java,v 432868f2116d 2009/12/31 23:28:20 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.geo.viewer.impl.feature;

import it.tidalwave.geo.viewer.spi.feature.FeatureRenderer;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics2D;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: DefaultFeatureRenderer.java,v 432868f2116d 2009/12/31 23:28:20 fabrizio $
 *
 **********************************************************************************************************************/
public class DefaultFeatureRenderer implements FeatureRenderer<Object>
  {
    private static final Color COLOR = Color.BLACK;

    private static final int SIZE = 5;

    @Override
    public boolean paintFeature (Graphics2D g, Object feature, int x, int y, boolean pedestal, Dimension size)
      {
        if (g != null)
          {
            g.setColor(COLOR);
            g.fillOval(x - SIZE / 2, y - SIZE / 2, SIZE, SIZE);
          }

        size.setSize(SIZE, SIZE);
        return false;
      }
  }
